/*######################################################################
#                                                                      #
#                Copyright (c) 1997,98,99 by                           #
#          Deutsche Boerse AG, Frankfurt, Germany                      #
#                          All rights reserved.                        #
#                                                                      #
#   This software is furnished under a license and may be used and     #
#   copied  only  in accordance with the terms of such license and     #
#   with the  inclusion  of  the  above  copyright  notice.   This     #
#   software  or  any  other copies thereof may not be provided or     #
#   otherwise made available to any other person.  No title to and     #
#   ownership of the software is hereby transferred.                   #
#                                                                      #
#   The information in this software is subject to change  without     #
#   notice  and should not be construed as a commitment by Deutsche    #
#   Boerse AG.                                                         #
#                                                                      #
#   Deutsche Boerse AG assumes no responsibility for the use  or       #
#   reliability of its software on equipment which is not certified by #
#   Deutsche Boerse AG.                                                #
#                                                                      #
######################################################################*/
/*----------------------------------------------------------------------------*/
/* 
 * FILE NAME: rfmfumov.hxx
 *      DATE: 30/01/01 - 09:05
 *   COMMENT: R60_12
 * 
 *  THIS FILE IS GENERATED AUTOMATICALLY FROM DESIGN/1 EXTRACT
 *  XETRA Copybook/C generation program
 * 
 * DESCRIPTION  : RFMFUMOV
 * 
 * XETRA INQUIRE PUBLIC ORDER BOOK
 * 
 * 
 */
/*----------------------------------------------------------------------------*/


#ifndef _RFMFUMOV_HXX_
#define _RFMFUMOV_HXX_

#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif

/*----------------------------------------------------------------------------*/
/* Length definitions */

#define ISIN_COD_LEN          12
#define KEY_DAT_CTRL_BLC_LEN  80


/*----------------------------------------------------------------------------*/
/* Macro definitions */

#define rfmfumov_isinCod        instData3.instGrpIdCod.isinCod
#define rfmfumov_keyDatCtrlBlc  keyDatCtrlBlc

/*----------------------------------------------------------------------------*/
/* Types definition */

/*----------------------------------------------------------------------------*/
#ifndef _INST_GRP_ID_COD_T_
#define _INST_GRP_ID_COD_T_

    typedef struct instGrpIdCodTag
    {
        char isinCod[ISIN_COD_LEN];
    } instGrpIdCodT, *pInstGrpIdCodT;


#endif  /* _INST_GRP_ID_COD_T_ */

/*----------------------------------------------------------------------------*/
#ifndef _INST_DATA_3_T_
#define _INST_DATA_3_T_

    typedef struct instData3Tag
    {
        instGrpIdCodT instGrpIdCod;
    } instData3T, *pInstData3T;


#endif  /* _INST_DATA_3_T_ */

/*----------------------------------------------------------------------------*/

    typedef struct rfmfumovTag
    {
        char keyDatCtrlBlc[KEY_DAT_CTRL_BLC_LEN];
        instData3T instData3;
    } rfmfumovT, *pRfmfumovT;

#if defined(__cplusplus) || defined(c_plusplus)
} /* close scope of 'extern "C"' declaration which encloses file. */
#endif

#endif  /* _RFMFUMOV_HXX_ */

/*----------------------------------------------------------------------------*/
/* End of file rfmfumov.hxx */
/*----------------------------------------------------------------------------*/
/* DO NOT ADD ANYTHING AFTER THIS LINE */

