/*######################################################################
#                                                                      #
#                Copyright (c) 1997,98,99 by                           #
#          Deutsche Boerse AG, Frankfurt, Germany                      #
#                          All rights reserved.                        #
#                                                                      #
#   This software is furnished under a license and may be used and     #
#   copied  only  in accordance with the terms of such license and     #
#   with the  inclusion  of  the  above  copyright  notice.   This     #
#   software  or  any  other copies thereof may not be provided or     #
#   otherwise made available to any other person.  No title to and     #
#   ownership of the software is hereby transferred.                   #
#                                                                      #
#   The information in this software is subject to change  without     #
#   notice  and should not be construed as a commitment by Deutsche    #
#   Boerse AG.                                                         #
#                                                                      #
#   Deutsche Boerse AG assumes no responsibility for the use  or       #
#   reliability of its software on equipment which is not certified by #
#   Deutsche Boerse AG.                                                #
#                                                                      #
######################################################################*/
/*----------------------------------------------------------------------------*/
/* 
 * FILE NAME: rfref060.hxx
 *      DATE: 30/01/01 - 09:05
 *   COMMENT: R60_12
 * 
 *  THIS FILE IS GENERATED AUTOMATICALLY FROM DESIGN/1 EXTRACT
 *  XETRA Copybook/C generation program
 * 
 * DESCRIPTION  : RFREF060
 * 
 * XETRA MODIFY TRADE
 * 
 * 
 */
/*----------------------------------------------------------------------------*/


#ifndef _RFREF060_HXX_
#define _RFREF060_HXX_

#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif

/*----------------------------------------------------------------------------*/
/* Length definitions */

#define DATE_LST_UPD_DAT_LEN  18
#define TRAN_ID_SFX_NO_LEN    5


/*----------------------------------------------------------------------------*/
/* Macro definitions */

#define rfref060_dateLstUpdDat  nmsgSuccDataGrpNsdg002.dateLstUpdDat
#define rfref060_tranIdSfxNo    nmsgSuccDataGrpNsdg002.tranIdSfxNo

/*----------------------------------------------------------------------------*/
/* Types definition */

/*----------------------------------------------------------------------------*/
#ifndef _NMSG_SUCC_DATA_GRP_NSDG002_T_
#define _NMSG_SUCC_DATA_GRP_NSDG002_T_

    typedef struct nmsgSuccDataGrpNsdg002Tag
    {
        char tranIdSfxNo[TRAN_ID_SFX_NO_LEN];
        char dateLstUpdDat[DATE_LST_UPD_DAT_LEN];
    } nmsgSuccDataGrpNsdg002T, *pNmsgSuccDataGrpNsdg002T;


#endif  /* _NMSG_SUCC_DATA_GRP_NSDG002_T_ */

/*----------------------------------------------------------------------------*/

    typedef struct rfref060Tag
    {
        nmsgSuccDataGrpNsdg002T nmsgSuccDataGrpNsdg002;
    } rfref060T, *pRfref060T;

#if defined(__cplusplus) || defined(c_plusplus)
} /* close scope of 'extern "C"' declaration which encloses file. */
#endif

#endif  /* _RFREF060_HXX_ */

/*----------------------------------------------------------------------------*/
/* End of file rfref060.hxx */
/*----------------------------------------------------------------------------*/
/* DO NOT ADD ANYTHING AFTER THIS LINE */

