/*######################################################################
#                                                                      #
#                Copyright (c) 1997,98,99 by                           #
#          Deutsche Boerse AG, Frankfurt, Germany                      #
#                          All rights reserved.                        #
#                                                                      #
#   This software is furnished under a license and may be used and     #
#   copied  only  in accordance with the terms of such license and     #
#   with the  inclusion  of  the  above  copyright  notice.   This     #
#   software  or  any  other copies thereof may not be provided or     #
#   otherwise made available to any other person.  No title to and     #
#   ownership of the software is hereby transferred.                   #
#                                                                      #
#   The information in this software is subject to change  without     #
#   notice  and should not be construed as a commitment by Deutsche    #
#   Boerse AG.                                                         #
#                                                                      #
#   Deutsche Boerse AG assumes no responsibility for the use  or       #
#   reliability of its software on equipment which is not certified by #
#   Deutsche Boerse AG.                                                #
#                                                                      #
######################################################################*/
/*----------------------------------------------------------------------------*/
/* 
 * FILE NAME: rfrej010.hxx
 *      DATE: 02/02/01 - 11:51
 *   COMMENT: R60_13
 * 
 *  THIS FILE IS GENERATED AUTOMATICALLY FROM DESIGN/1 EXTRACT
 *  XETRA Copybook/C generation program
 * 
 * DESCRIPTION  : RFREJ010
 * 
 * XETRA INQUIRE REPORT SELECTION LIST
 * XETRA MODIFY REPORT SELECTION
 * 
 */
/*----------------------------------------------------------------------------*/


#ifndef _RFREJ010_HXX_
#define _RFREJ010_HXX_

#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif

/*----------------------------------------------------------------------------*/
/* Length definitions */

#define DATE_LST_UPD_DAT_LEN   18
#define KEY_DAT_CTRL_BLC_LEN   80
#define REPT_ID_COD_LEN        8
#define REPT_NAM_LEN           30

/*----------------------------------------------------------------------------*/
/* Size definitions */

#define OCUR_50_TIM_GRP_2_MAX  50

/*----------------------------------------------------------------------------*/
/* Macro definitions */

#define rfrej010_dateLstUpdDat(Xarg1)     ocur50TimGrp2[(Xarg1)].dateLstUpdDat
#define rfrej010_keyDatCtrlBlc            keyDatCtrlBlc
#define rfrej010_rawActCod(Xarg1)         ocur50TimGrp2[(Xarg1)].rawActCod
#define rfrej010_rawdMbrCrtSltCod(Xarg1)  ocur50TimGrp2[(Xarg1)].rawdMbrCrtSltCod
#define rfrej010_reptIdCod(Xarg1)         ocur50TimGrp2[(Xarg1)].reptIdCod
#define rfrej010_reptMbrCrtSltCod(Xarg1)  ocur50TimGrp2[(Xarg1)].reptMbrCrtSltCod
#define rfrej010_reptNam(Xarg1)           ocur50TimGrp2[(Xarg1)].reptNam
#define rfrej010_reptPrntFrqCod(Xarg1)    ocur50TimGrp2[(Xarg1)].reptPrntFrqCod

/*----------------------------------------------------------------------------*/
/* Types definition */

/*----------------------------------------------------------------------------*/
#ifndef _OCUR_50_TIM_GRP_2_T_
#define _OCUR_50_TIM_GRP_2_T_

    typedef struct ocur50TimGrp2Tag
    {
        char reptIdCod[REPT_ID_COD_LEN];
        char reptNam[REPT_NAM_LEN];
        char reptPrntFrqCod;
        char rawActCod;
        char reptMbrCrtSltCod;
        char rawdMbrCrtSltCod;
        char dateLstUpdDat[DATE_LST_UPD_DAT_LEN];
    } ocur50TimGrp2T, *pOcur50TimGrp2T;


#endif  /* _OCUR_50_TIM_GRP_2_T_ */

/*----------------------------------------------------------------------------*/

    typedef struct rfrej010Tag
    {
        char keyDatCtrlBlc[KEY_DAT_CTRL_BLC_LEN];
        ocur50TimGrp2T ocur50TimGrp2[OCUR_50_TIM_GRP_2_MAX];
    } rfrej010T, *pRfrej010T;

#if defined(__cplusplus) || defined(c_plusplus)
} /* close scope of 'extern "C"' declaration which encloses file. */
#endif

#endif  /* _RFREJ010_HXX_ */

/*----------------------------------------------------------------------------*/
/* End of file rfrej010.hxx */
/*----------------------------------------------------------------------------*/
/* DO NOT ADD ANYTHING AFTER THIS LINE */

