/*######################################################################
#                                                                      #
#                Copyright (c) 1997,98,99 by                           #
#          Deutsche Boerse AG, Frankfurt, Germany                      #
#                          All rights reserved.                        #
#                                                                      #
#   This software is furnished under a license and may be used and     #
#   copied  only  in accordance with the terms of such license and     #
#   with the  inclusion  of  the  above  copyright  notice.   This     #
#   software  or  any  other copies thereof may not be provided or     #
#   otherwise made available to any other person.  No title to and     #
#   ownership of the software is hereby transferred.                   #
#                                                                      #
#   The information in this software is subject to change  without     #
#   notice  and should not be construed as a commitment by Deutsche    #
#   Boerse AG.                                                         #
#                                                                      #
#   Deutsche Boerse AG assumes no responsibility for the use  or       #
#   reliability of its software on equipment which is not certified by #
#   Deutsche Boerse AG.                                                #
#                                                                      #
######################################################################*/
/*----------------------------------------------------------------------------*/
/* 
 * FILE NAME: rfrqa020.hxx
 *      DATE: 30/01/01 - 09:05
 *   COMMENT: R60_12
 * 
 *  THIS FILE IS GENERATED AUTOMATICALLY FROM DESIGN/1 EXTRACT
 *  XETRA Copybook/C generation program
 * 
 * DESCRIPTION  : RFRQA020
 * XETRA INQUIRE CURRENT SUBGROUP QUOTATION PROVIDER LICENSES
 * 
 * 
 * 
 */
/*----------------------------------------------------------------------------*/


#ifndef _RFRQA020_HXX_
#define _RFRQA020_HXX_

#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif

/*----------------------------------------------------------------------------*/
/* Length definitions */

#define KEY_DAT_CTRL_BLC_LEN  80
#define PART_SUB_GRP_COD_LEN  3
#define TRD_MDL_TYP_COD_LEN   2


/*----------------------------------------------------------------------------*/
/* Macro definitions */

#define rfrqa020_keyDatCtrlBlc  keyDatCtrlBlc
#define rfrqa020_partSubGrpCod  partSubGrpCod
#define rfrqa020_trdMdlTypCod   trdMdlTypCod

/*----------------------------------------------------------------------------*/
/* Types definition */

/*----------------------------------------------------------------------------*/

    typedef struct rfrqa020Tag
    {
        char keyDatCtrlBlc[KEY_DAT_CTRL_BLC_LEN];
        char partSubGrpCod[PART_SUB_GRP_COD_LEN];
        char trdMdlTypCod[TRD_MDL_TYP_COD_LEN];
    } rfrqa020T, *pRfrqa020T;

#if defined(__cplusplus) || defined(c_plusplus)
} /* close scope of 'extern "C"' declaration which encloses file. */
#endif

#endif  /* _RFRQA020_HXX_ */

/*----------------------------------------------------------------------------*/
/* End of file rfrqa020.hxx */
/*----------------------------------------------------------------------------*/
/* DO NOT ADD ANYTHING AFTER THIS LINE */

