/*######################################################################
#                                                                      #
#                Copyright (c) 1997,98,99 by                           #
#          Deutsche Boerse AG, Frankfurt, Germany                      #
#                          All rights reserved.                        #
#                                                                      #
#   This software is furnished under a license and may be used and     #
#   copied  only  in accordance with the terms of such license and     #
#   with the  inclusion  of  the  above  copyright  notice.   This     #
#   software  or  any  other copies thereof may not be provided or     #
#   otherwise made available to any other person.  No title to and     #
#   ownership of the software is hereby transferred.                   #
#                                                                      #
#   The information in this software is subject to change  without     #
#   notice  and should not be construed as a commitment by Deutsche    #
#   Boerse AG.                                                         #
#                                                                      #
#   Deutsche Boerse AG assumes no responsibility for the use  or       #
#   reliability of its software on equipment which is not certified by #
#   Deutsche Boerse AG.                                                #
#                                                                      #
######################################################################*/
/*----------------------------------------------------------------------------*/
/* 
 * FILE NAME: rfrqj010.hxx
 *      DATE: 02/02/01 - 11:51
 *   COMMENT: R60_13
 * 
 *  THIS FILE IS GENERATED AUTOMATICALLY FROM DESIGN/1 EXTRACT
 *  XETRA Copybook/C generation program
 * 
 * DESCRIPTION  : RFRQJ010
 * 
 * XETRA INQUIRE REPORT SELECTION LIST
 * XETRA MODIFY REPORT SELECTION LIST
 * 
 */
/*----------------------------------------------------------------------------*/


#ifndef _RFRQJ010_HXX_
#define _RFRQJ010_HXX_

#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif

/*----------------------------------------------------------------------------*/
/* Length definitions */

#define DATE_LST_UPD_DAT_LEN  18
#define KEY_DAT_CTRL_BLC_LEN  80
#define REPT_HIS_DAT_LEN      8
#define REPT_ID_COD_KEY_LEN   8


/*----------------------------------------------------------------------------*/
/* Macro definitions */

#define rfrqj010_dateLstUpdDat     dateLstUpdDat
#define rfrqj010_keyDatCtrlBlc     keyDatCtrlBlc
#define rfrqj010_rawdMbrCrtSltCod  rawdMbrCrtSltCod
#define rfrqj010_reptHisDat        reptHisDat
#define rfrqj010_reptIdCodKey      reptIdCodKey
#define rfrqj010_reptMbrCrtSltCod  reptMbrCrtSltCod

/*----------------------------------------------------------------------------*/
/* Types definition */

/*----------------------------------------------------------------------------*/

    typedef struct rfrqj010Tag
    {
        char reptIdCodKey[REPT_ID_COD_KEY_LEN];
        char dateLstUpdDat[DATE_LST_UPD_DAT_LEN];
        char reptHisDat[REPT_HIS_DAT_LEN];
        char reptMbrCrtSltCod;
        char rawdMbrCrtSltCod;
        char keyDatCtrlBlc[KEY_DAT_CTRL_BLC_LEN];
    } rfrqj010T, *pRfrqj010T;

#if defined(__cplusplus) || defined(c_plusplus)
} /* close scope of 'extern "C"' declaration which encloses file. */
#endif

#endif  /* _RFRQJ010_HXX_ */

/*----------------------------------------------------------------------------*/
/* End of file rfrqj010.hxx */
/*----------------------------------------------------------------------------*/
/* DO NOT ADD ANYTHING AFTER THIS LINE */

