/*######################################################################
#                                                                      #
#                Copyright (c) 1997,98,99 by                           #
#          Deutsche Boerse AG, Frankfurt, Germany                      #
#                          All rights reserved.                        #
#                                                                      #
#   This software is furnished under a license and may be used and     #
#   copied  only  in accordance with the terms of such license and     #
#   with the  inclusion  of  the  above  copyright  notice.   This     #
#   software  or  any  other copies thereof may not be provided or     #
#   otherwise made available to any other person.  No title to and     #
#   ownership of the software is hereby transferred.                   #
#                                                                      #
#   The information in this software is subject to change  without     #
#   notice  and should not be construed as a commitment by Deutsche    #
#   Boerse AG.                                                         #
#                                                                      #
#   Deutsche Boerse AG assumes no responsibility for the use  or       #
#   reliability of its software on equipment which is not certified by #
#   Deutsche Boerse AG.                                                #
#                                                                      #
######################################################################*/
/*----------------------------------------------------------------------------*/
/* 
 * FILE NAME: rfmsigmo.hxx
 *      DATE: 02/02/01 - 11:51
 *   COMMENT: R60_13
 * 
 *  THIS FILE IS GENERATED AUTOMATICALLY FROM DESIGN/1 EXTRACT
 *  XETRA Copybook/C generation program
 * 
 * DESCRIPTION  : RFMSIGMO
 * XETRA ADD SUBGROUP INSTRUMENT GROUP ASSIGNMENT
 * XETRA DELETE SUBGROUP INSTRUMENT GROUP ASSIGNMENT
 * 
 * 
 */
/*----------------------------------------------------------------------------*/


#ifndef _RFMSIGMO_HXX_
#define _RFMSIGMO_HXX_

#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif

/*----------------------------------------------------------------------------*/
/* Length definitions */

#define INST_GRP_COD_LEN      4
#define PART_SUB_GRP_COD_LEN  3


/*----------------------------------------------------------------------------*/
/* Macro definitions */

#define rfmsigmo_instGrpCod     instGrpDefGrp.instGrpCod
#define rfmsigmo_partSubGrpCod  partSubGrpCod

/*----------------------------------------------------------------------------*/
/* Types definition */

/*----------------------------------------------------------------------------*/
#ifndef _INST_GRP_DEF_GRP_T_
#define _INST_GRP_DEF_GRP_T_

    typedef struct instGrpDefGrpTag
    {
        char instGrpCod[INST_GRP_COD_LEN];
    } instGrpDefGrpT, *pInstGrpDefGrpT;


#endif  /* _INST_GRP_DEF_GRP_T_ */

/*----------------------------------------------------------------------------*/

    typedef struct rfmsigmoTag
    {
        char partSubGrpCod[PART_SUB_GRP_COD_LEN];
        instGrpDefGrpT instGrpDefGrp;
    } rfmsigmoT, *pRfmsigmoT;

#if defined(__cplusplus) || defined(c_plusplus)
} /* close scope of 'extern "C"' declaration which encloses file. */
#endif

#endif  /* _RFMSIGMO_HXX_ */

/*----------------------------------------------------------------------------*/
/* End of file rfmsigmo.hxx */
/*----------------------------------------------------------------------------*/
/* DO NOT ADD ANYTHING AFTER THIS LINE */

