/*######################################################################
#                                                                      #
#                Copyright (c) 1997,98,99 by                           #
#          Deutsche Boerse AG, Frankfurt, Germany                      #
#                          All rights reserved.                        #
#                                                                      #
#   This software is furnished under a license and may be used and     #
#   copied  only  in accordance with the terms of such license and     #
#   with the  inclusion  of  the  above  copyright  notice.   This     #
#   software  or  any  other copies thereof may not be provided or     #
#   otherwise made available to any other person.  No title to and     #
#   ownership of the software is hereby transferred.                   #
#                                                                      #
#   The information in this software is subject to change  without     #
#   notice  and should not be construed as a commitment by Deutsche    #
#   Boerse AG.                                                         #
#                                                                      #
#   Deutsche Boerse AG assumes no responsibility for the use  or       #
#   reliability of its software on equipment which is not certified by #
#   Deutsche Boerse AG.                                                #
#                                                                      #
######################################################################*/
/*----------------------------------------------------------------------------*/
/* 
 * FILE NAME: rfreexin.hxx
 *      DATE: 30/01/01 - 09:05
 *   COMMENT: R60_12
 * 
 *  THIS FILE IS GENERATED AUTOMATICALLY FROM DESIGN/1 EXTRACT
 *  XETRA Copybook/C generation program
 * 
 * DESCRIPTION  : RFREEXIN
 * 
 * XETRA INQUIRE EXCHANGE INFORMATION
 * 
 * 
 */
/*----------------------------------------------------------------------------*/


#ifndef _RFREEXIN_HXX_
#define _RFREEXIN_HXX_

#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif

/*----------------------------------------------------------------------------*/
/* Length definitions */

#define EXCH_CRT_PROC_DAT_LEN  8
#define EXCH_ID_COD_LEN        3
#define EXCH_NAME_LEN          40

/*----------------------------------------------------------------------------*/
/* Size definitions */

#define FOR_EXC_LIS_MAX        80

/*----------------------------------------------------------------------------*/
/* Macro definitions */

#define rfreexin_exchCrtProcDat    exchCrtProcDat
#define rfreexin_exchIdCod(Xarg1)  forExcLis[(Xarg1)].exchIdCod
#define rfreexin_exchName(Xarg1)   forExcLis[(Xarg1)].exchName

/*----------------------------------------------------------------------------*/
/* Types definition */

/*----------------------------------------------------------------------------*/
#ifndef _FOR_EXC_LIS_T_
#define _FOR_EXC_LIS_T_

    typedef struct forExcLisTag
    {
        char exchIdCod[EXCH_ID_COD_LEN];
        char exchName[EXCH_NAME_LEN];
    } forExcLisT, *pForExcLisT;


#endif  /* _FOR_EXC_LIS_T_ */

/*----------------------------------------------------------------------------*/

    typedef struct rfreexinTag
    {
        char exchCrtProcDat[EXCH_CRT_PROC_DAT_LEN];
        forExcLisT forExcLis[FOR_EXC_LIS_MAX];
    } rfreexinT, *pRfreexinT;

#if defined(__cplusplus) || defined(c_plusplus)
} /* close scope of 'extern "C"' declaration which encloses file. */
#endif

#endif  /* _RFREEXIN_HXX_ */

/*----------------------------------------------------------------------------*/
/* End of file rfreexin.hxx */
/*----------------------------------------------------------------------------*/
/* DO NOT ADD ANYTHING AFTER THIS LINE */

